org.codehaus.groovy.ast.decompiled

## Class AsmReferenceResolver

- java.lang.Object
- - org.codehaus.groovy.ast.decompiled.AsmReferenceResolver

-     public class AsmReferenceResolver
      extends java.lang.Object

  A helper class used to resolve references found in ASM-decompiled classes.
  See Also:
    `DecompiledClassNode`, `AsmDecompiler`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsmReferenceResolver(ClassNodeResolver resolver, CompilationUnit unit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassNode` | `resolveClass(java.lang.String className)`
    `ClassNode` | `resolveClassNullable(java.lang.String className)`
    `java.lang.Class` | `resolveJvmClass(java.lang.String name)`
    `ClassNode` | `resolveType(org.objectweb.asm.Type type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsmReferenceResolver

          public AsmReferenceResolver(ClassNodeResolver resolver,
                                      CompilationUnit unit)

  - ### Method Detail

    - #### resolveClass

          public ClassNode resolveClass(java.lang.String className)

    - #### resolveClassNullable

          public ClassNode resolveClassNullable(java.lang.String className)

    - #### resolveType

          public ClassNode resolveType(org.objectweb.asm.Type type)

    - #### resolveJvmClass

          public java.lang.Class resolveJvmClass(java.lang.String name)